Bug 76346 - user request a global preference to hide/show class/interface attribute/operation compartments
user request a global preference to hide/show class/interface attribute/opera...
Status: VERIFIED FIXED
Product: uml
Classification: Unclassified
Component: General
5.x
All All
: P1 with 3 votes (vote)
: 6.x
Assigned To: _ jyothivasa
issues@uml
EXT-USER
:
Depends on: 138139
Blocks: 133987
  Show dependency treegraph
 
Reported: 2006-05-14 08:29 UTC by Peter Lam
Modified: 2008-07-23 01:18 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Lam 2006-05-14 08:29:19 UTC
I'm reverse engeneering a quite large app, and creating several diagrams.
Is there any option to hide members, so I can get more classes same time at one
diagram? Like PowerDesigner - you can right click class, choose Hide ->
Operations, Hide -> Attributes and Hide -> All.

Of course, there is contrary option (Show...). There is a option to define
default for what should be shown.

This is usefull for analisys only, not for development time. 

Let's making things clear.

I'm want to add classes to my diagram, but I just want show the class name and
decorations, I don't want show methods, attributes, accessors, etc. I have
classes with 20 attributes, where I got 40 accessors (set/get), plus hashCode,
toString, equals and eventually some business methods.

To make some analysis diagrams, with less visual pollution, I wan't to hide
class members.
Comment 1 Yang Su 2007-01-02 22:51:41 UTC
This feature was requested by many users, raise it to p1 to get a chance to be
included in the next release. Weather it should be implemented as a preference
of just a diagram context menu item is to be decided.
Comment 2 _ jyothivasa 2008-07-08 00:18:01 UTC
This feature is implemented as an action on the diagram context menu
Comment 3 Peter Lam 2008-07-23 01:18:36 UTC
verified in trunk build 20080722215649. implemented in issue 119832


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo